MGASA-2021-0207 - Updated ceph packages fix a security vulnerability

Publication date: 07 May 2021
URL: https://advisories.mageia.org/MGASA-2021-0207.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2021-20288

An authentication flaw was found in ceph. When the monitor handles
CEPHX_GET_AUTH_SESSION_KEY requests, it doesn't sanitize other_keys,
allowing key reuse. An attacker who can request a global_id can exploit the
ability of any user to request a global_id previously associated with
another user, as ceph does not force the reuse of old keys to generate new
ones. The highest threat from this vulnerability is to data confidentiality
and integrity as well as system availability (CVE-2021-20288).

References:
- https://bugs.mageia.org/show_bug.cgi?id=28804
- https://www.openwall.com/lists/oss-security/2021/04/14/2
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-20288

SRPMS:
- 8/core/ceph-15.2.11-1.mga8